com.aliyun.svideosdk.common

## Class NativeAdaptiveUtil

- java.lang.Object
- - AbstractNativeLoader
  - - com.aliyun.svideosdk.common.NativeAdaptiveUtil

-     public class NativeAdaptiveUtil
      extends AbstractNativeLoader

  Created by macpro on 2017/8/3.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeAdaptiveUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `decoderAdaptiveList(java.lang.String[] models, int[] versions)` 添加硬解码器白名单 该接口已经废弃
    `static void` | `disableHardDecoderAdaptiveList(java.lang.String[] models, int[] versions)` 添加硬解码器黑名单，model和versions的顺序必须对应起来 如果开启硬解码了，且不在黑名单中，将使用硬解
    `static void` | `encoderAdaptiveList(java.lang.String[] models, int[] versions)` 添加硬编码黑名单，model和versions的顺序必须对应起来 黑名单内的机型将使用软编，黑名单外的机型都使用硬编
    `static boolean` | `isDeviceDecoderEnable()` 设备是否在白名单内
    `static void` | `setFastEncode(boolean isFaster)` Deprecated. 不建议调用
    `static void` | `setHWDecoderEnable(boolean hwDecoderEnable)` 硬解码开关，默认是打开状态，则此时在白名单内的机型都将使用硬解码，如果关闭，则所有机型（包括在白名单内的）都将使用软解码
    `static void` | `setHWEncoderEnable(boolean hwEncoderEnable)` 硬编码开关，默认是打开状态，则此时黑名单之外的机型都将使用硬编码，关闭状态，则所有机型都使用软编码

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeAdaptiveUtil

          public NativeAdaptiveUtil()

  - ### Method Detail

    - #### decoderAdaptiveList

          public static void decoderAdaptiveList(java.lang.String[] models,
                                                 int[] versions)

      添加硬解码器白名单 该接口已经废弃
      Parameters:
        `models` - 机型Model信息列表`Build#MODEL`
        `versions` - 系统版本号列表`Build.VERSION#SDK_INT`，如果不需要适配版本号，填写0即可
      See Also:
        `setHWDecoderEnable(boolean)`

    - #### disableHardDecoderAdaptiveList

          public static void disableHardDecoderAdaptiveList(java.lang.String[] models,
                                                            int[] versions)

      添加硬解码器黑名单，model和versions的顺序必须对应起来 如果开启硬解码了，且不在黑名单中，将使用硬解
      Parameters:
        `models` - 机型Model信息列表`Build#MODEL`
        `versions` - 系统版本号列表`Build.VERSION#SDK_INT`，如果不需要适配版本号，填写0即可
      See Also:
        `setHWDecoderEnable(boolean)`

    - #### setHWDecoderEnable

          public static void setHWDecoderEnable(boolean hwDecoderEnable)

      硬解码开关，默认是打开状态，则此时在白名单内的机型都将使用硬解码，如果关闭，则所有机型（包括在白名单内的）都将使用软解码
      Parameters:
        `hwDecoderEnable` - true：开启硬解码（默认为true）， false：关闭硬解码
      See Also:
        `decoderAdaptiveList(String[], int[])`

    - #### encoderAdaptiveList

          public static void encoderAdaptiveList(java.lang.String[] models,
                                                 int[] versions)

      添加硬编码黑名单，model和versions的顺序必须对应起来 黑名单内的机型将使用软编，黑名单外的机型都使用硬编
      Parameters:
        `models` - 机型Model信息列表`Build#MODEL`
        `versions` - 系统版本号列表`Build.VERSION#SDK_INT`，如果不需要适配版本号，填写0即可

    - #### setHWEncoderEnable

          public static void setHWEncoderEnable(boolean hwEncoderEnable)

      硬编码开关，默认是打开状态，则此时黑名单之外的机型都将使用硬编码，关闭状态，则所有机型都使用软编码
      Parameters:
        `hwEncoderEnable` - true：开启硬编码（默认为true） false：关闭硬编码
      See Also:
        `encoderAdaptiveList(String[], int[])`

    - #### isDeviceDecoderEnable

          public static boolean isDeviceDecoderEnable()

      设备是否在白名单内
      Returns:
        true：设备在白名单内，false：设备不在白名单内

    - #### setFastEncode

          public static void setFastEncode(boolean isFaster)

      Deprecated. 不建议调用
      是否需要启动音视频线程分离的编码
      Parameters:
        `isFaster` -